DROP RULE(7)

NAME
DROP RULE - remove a rewrite rule

SYNOPSIS

DROP RULE name ON relation [ CASCADE | RESTRICT ]

  INPUTS

name
    The name of an existing rule to drop.

relation
    The name (optionally schema-qualified) of the relation the rule applies to.

CASCADE
    Automatically drop objects that depend on the rule.

RESTRICT
    Refuse to drop the rule if there are any dependent objects. This is the default.

  OUTPUTS

DROP RULE
    Message returned if successful.

ERROR: Rule "name" not found
    This message occurs if the specified rule does not exist.

DESCRIPTION

DROP RULE drops a rule from the specified PostgreSQL rule system. PostgreSQL will immediately cease enforcing it and will purge its definition from the system catalogs.

  NOTES

The DROP RULE statement is a PostgreSQL language extension.

Refer to CREATE RULE for information on how to create rules.

USAGE

To drop the rewrite rule newrule:

DROP RULE newrule ON mytable;

COMPATIBILITY

  SQL92

There is no DROP RULE in SQL92.